Package javax.el

## Class FunctionMapper

- java.lang.Object
- - javax.el.FunctionMapper

-     public abstract class FunctionMapper
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FunctionMapper()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `mapFunction​(java.lang.String prefix, java.lang.String localName, java.lang.reflect.Method method)` | Map a method to a function name.
    `abstract java.lang.reflect.Method` | `resolveFunction​(java.lang.String prefix, java.lang.String localName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionMapper

          public FunctionMapper()

  - ### Method Detail

    - #### resolveFunction

          public abstract java.lang.reflect.Method resolveFunction​(java.lang.String prefix,
                                                                   java.lang.String localName)

    - #### mapFunction

          public void mapFunction​(java.lang.String prefix,
                                  java.lang.String localName,
                                  java.lang.reflect.Method method)

      Map a method to a function name.
      Parameters:
        `prefix` - Function prefix
        `localName` - Function name
        `method` - Method
      Since:
        EL 3.0